org.apache.maven.scm.provider.git.gitexe.command.add

## Class GitAddCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.add.AbstractAddCommand
    - - org.apache.maven.scm.provider.git.gitexe.command.add.GitAddCommand

All Implemented Interfaces:
  Command, GitCommand

    public class GitAddCommand
    extends AbstractAddCommand
    implements GitCommand

Version:
  $Id: GitAddCommand.java 769959 2009-04-29 21:59:38Z olamy $
Author:
  Mark Struberg

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`GitAddCommand()`

### Method Summary

Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(File workingDirectory, List files)`
`protected ScmResult` `executeAddCommand(ScmProviderRepository repo, ScmFileSet fileSet, String message, boolean binary)`

### Methods inherited from class org.apache.maven.scm.command.add.AbstractAddCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### GitAddCommand

    public GitAddCommand()

### Method Detail

#### executeAddCommand

    protected ScmResult executeAddCommand(ScmProviderRepository repo,
                              ScmFileSet fileSet,
                              String message,
                              boolean binary)
                                   throws ScmException

Specified by:
  `executeAddCommand` in class `AbstractAddCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(File workingDirectory,
                                                             List files)
                                                                      throws ScmException

Throws:
  `ScmException`